## com.baidubce.services.moladb.model
Class ListTablesRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.ListTablesRequest

    public class ListTablesRequest

extends AbstractBceRequest

Represents the input of a ListTables operation.

Constructor Summary
`ListTablesRequest()` Constructs a new ListTablesRequest object.

Method Summary
`ListTablesRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListTablesRequest

    public ListTablesRequest()

  Constructs a new ListTablesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### withRequestCredentials

    public ListTablesRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.